Post
/public/v1/pos/deposits/import
Import POS deposits data for a specific location and business date
Security
HTTP
Type Bearer
Put ONLY your JWT Bearer token on textbox below!
Body parameters
object
locationId
string (uuid)
businessDate
string (date)
importMode
string | null
deposit
object (R365.Sync.PosIngestion.Shared.Input.Deposits.DepositRecord)
amounts
Array of number | null
number (double)
comment
string | null
Free-text comment associated with the deposit record.
idempotencyKey
string | null
correlationId
string | null
clientTimestampUtc
string (date-time) | null
Responses
200
Deposits data accepted for import
object
importId
integer (int64)
requestId
integer (int64)
isNewSession
boolean
correlationId
string | null
422
Unprocessable Content
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive